// JavaScript Document, GO2_palette.js

function addEvent(elm, evType, fn, useCapture) { 
  // cross-browser event handling for IE5+, NS6+ and Mozilla/Gecko 
  // By Scott Andrew 
  if (elm.addEventListener) { 
    elm.addEventListener(evType, fn, useCapture); 
    return true; 
  } else if (elm.attachEvent) { 
    var r = elm.attachEvent('on' + evType, fn); 
    return r; 
  } else { 
    elm['on' + evType] = fn; 
  } 
} 


function goalTextAdjust(itemText, action) {
	itemText = itemText.replace(/^\[[0-9a-zA-Z \.]+\] -- /,"");   // remove the leading label, "[Benchmark 1.2.1.1] -- ....." 
	if(window.document.GO2_palette_form.goals_no_nbrs_B) {   // ensure global pref. set / detected at top of palette form
		var goalsNoNbrs = window.document.GO2_palette_form.goals_no_nbrs_B.value;  }
	if(goalsNoNbrs && goalsNoNbrs == 1) {   
		itemText = itemText.replace(/^[0-9Kk\.]+\s/,"");  }    // this removes a leading label inserted by the user of the form, "K.2.1.1 "
	if(window.document.GO2_palette_form.goals_exact_B) {    // ensure global pref. set / detected at top of palette form
		var goalsExact = window.document.GO2_palette_form.goals_exact_B.value;  }
	if(goalsExact && goalsExact == 0) {
		var goalEntryForm = window.opener.document.AS_goalsEntry;    // window.opener.document.formName  -- test for existence of IEP goals entry form
		if(goalEntryForm) { 
			if(goalEntryForm.meeting_date) {						
				var meetingDate = goalEntryForm.meeting_date.value; 
				var lastSlash = meetingDate.lastIndexOf("/");
				var yearNbr = parseInt(meetingDate.substring(lastSlash+1)) + 1;	// just the year digits
				yearNbr += "";  // converts the year back to a string
				if(yearNbr.length == 1) {
					yearNbr = "0"+yearNbr; }
				meetingDate = meetingDate.substring(0,lastSlash+1) + yearNbr; 
			}	// if(goalEntryForm.meeting_date)
			if(itemText.match(/\[name\]/i) || itemText.match(/\[date\]/i))  {  // [name] or [date] meta-characters are present in text
				if(goalEntryForm.first_name) {
					var firstName = goalEntryForm.first_name.value; }
				if(firstName && itemText.match(/\[name\]/i)) {
					itemText = itemText.replace(/\[name\]/gi,firstName); }  // if(itemText.match(/\[name\]/i))
				if(meetingDate && itemText.match(/\[date\]/i)) {	
					itemText = itemText.replace(/\[date\]/gi,meetingDate); }    //  replace "[date]" with actual meeting date
			} else if(action == "prefix") {   // neither [name] nor [date] meta-characters present in text, so handle prefix/suffix -- 
				itemText = "Will improve ability to " + itemText.substring(0,1).toLowerCase() + itemText.substring(1);  // need to fix uppercase here
				itemText = itemText.replace(/^[\s]+|[\s]+$/,"");  // trim leading or end whitespace
				if(meetingDate) {
					itemText = itemText.replace(/[\.]$/,"");  // remove a sentence ending period, if present
					itemText = itemText+", by "+meetingDate+". ";
				}  // if(meetingDate) 
			}  // if(itemText.match(/\[name\]/i) || itemText.match(/\[date\]/i)); else if(action="prefix")
		}  // if(goalEtnryForm), the IEP goals entry form is available
	}   // if(goalsExact && goalsExact == 0) 
	return itemText;
}    // function goalTextAdjust(itemText) 



function spanNodeGet(passedNode, nodeLevel) {
	var elChildren = passedNode.childNodes;
	var elSpanNode;
	var elReturnNode;
	if(passedNode.hasChildNodes()) {										
		for (var i = 0; i < elChildren.length; i++) {    // need to loop through for SPAN, Gecko browsers may have firstchild as a blank
   			if(elChildren[i].nodeName.toLowerCase() == "span") {
				elSpanNode = elChildren[i];
				i = elChildren.length;   // get out of loop
			}   // if(elChildren[i].nodeName == "SPAN") 
		}     // for (var i = 0; i < children.length; i++) 									
		if(elSpanNode.nodeName.toLowerCase() == "span") {   // in case loop was not successful in finding SPAN...
			if(elSpanNode.hasChildNodes()) {
				elChildren = elSpanNode.childNodes;    // next level down should be text								
				for (var i = 0; i < elChildren.length; i++) {
					if(elChildren[i].nodeName.toLowerCase() == "#text") {
						elReturnNode = elChildren[i];
						i = elChildren.length;  // get out of loop
					}  // if(elChildren[i].nodeName == "#text")
				}   // for (var i = 0; i < children.length; i++) 
			}  else {
				alert("Could not obtain the "+nodeLevel+" (span node text not found).");								
			}	//  if(elSpanNode.hasChildNodes())
		}  else {
			alert("Could not obtain the "+nodeLevel+" (span node not found).");								
		}	// if(elSpanNode.nodeName.toLowerCase() == "span")
	}  else {
		alert("Could not obtain the "+nodeLevel+" (child nodes not found).");								
	}	// if(passedNode.hasChildNodes())
	return elReturnNode;
}	// function spanNodeGet(node, nodeLevel) {



function parent_li_Get(passed_li_node, node_ID) {  // works on the <li> item level only
	var el;
	var indexPos;
	el = passed_li_node.parentNode;  // obtains the parent <ul> of the <li>, at the specified level
	if(el.id.match(/^L02p_/)) { 	 // in this case there is no hyphen to search for, nbr after underscore is what is wanted
		indexPos = 4;
	} else {
		indexPos = el.id.lastIndexOf("-");	// find last digits in the ID number at the nth level <ul> tag, something like "L05p_2-2-1-13"
	}	// if(el.id == /^L02p_/)
	if(indexPos>0) {		// will be -1 if the last dash is not found in the ID number
		var UL_target = el.id.substring(indexPos+1);   // used to search at next level up, for associated <li> tag 
		var stopWhile = "";
		while (stopWhile == "") {  // must obtain n-1 level <ul> tag, which has prefix "L04p_..."
			el = el.parentNode;   // this is the n-1 level <ul> tag
			if(el.id.match(node_ID)  ||  el.nodeName.toLowerCase() == 'body') {   // by definition, (n-1)-level <ul> tag has L0(n-1)p_....
				stopWhile = "STOP"; }
		}	// while(stopWhile == "")
		var elChildren = el.childNodes;  // some enclosed nodes of <ul> may be #text, so must loop, counting <li> elements --
		el = null;	// resetting vbl
		var UL_index = 0;
		for (var i = 0; i < elChildren.length; i++) { 
			if(elChildren[i].nodeName.toLowerCase() == 'li') {
				UL_index = UL_index+1;
				if(UL_index == UL_target) {		// we're at the L04 <li> for this benchmark
					el = elChildren[i];
					i = elChildren.length;
				}	// if(UL_index == UL_target)
			}	//	if(elChildren[i].nodeName.toLowerCase() == 'li')
		}	// for (var i = 0; i < elChildren.length; i++)
	} else {
	 	alert("Could not find final dash in the node id number, "+el.id+". ");
	}	// if(indexPos>0)
	return el;
}	// function parentNodeGet(passedNode, node_ID) 



function pasteInto_IEP(elGoalText, elMeasObjText, elAreaNeedText) {  // one less argument here than other palette (no benchmark)
	var goalEntryForm = window.opener.document.AS_goalsEntry;    // window.opener.document.formName  -- test for existence of IEP goals entry form
	var diagText = "" ; 	// initialize empty
	var OKdlg;
	if(goalEntryForm) { 
		if(elGoalText.length == 0) {
			diagText += "The goal is missing. "; }
		if(elMeasObjText.length == 0) {
			diagText += "The measurable objective (content standard) is missing. ";  }
		if(elAreaNeedText.length == 0) {
			diagText += "The area of need is missing. ";  }
		if(diagText.length > 0) {	// one or more items in the palette element are incomplete
			alert("The selected goal cannot be used, because: "+diagText);
		} else {		// no diagText thus far (all three items present)
		// NOTE - There are currently three goal entry forms, one with 3 benchmarks, one with 2
		// benchmarks, and one with no benchmarks...
		
			if(goalEntryForm.Benchmark_1 && goalEntryForm.Benchmark_1.value.length>0) {
				diagText += "Benchmark 1, "; }
			if(goalEntryForm.Benchmark_2 && goalEntryForm.Benchmark_2.value.length>0) {
				diagText += "Benchmark 2, "; }
			if(goalEntryForm.Benchmark_3 && goalEntryForm.Benchmark_3.value.length>0) {
				diagText += "Benchmark 3, "; }

			if(diagText.length > 0) {
				diagText = "The goal form already contains one or more benchmarks. Paste palette item anyway? ";
					OKdlg = confirm(diagText);
						if(OKdlg == true) {
							diagText = "" ; } 	// blank diagnostic text out
				}	// if(diagText.length > 0)
							
			if(diagText.length == 0) {  // no errors from above, continue with analysis --
				if(!goalEntryForm.Area_of_need) {
					diagText += "The area of need (entry area) could not be found on the form. ";  }
				if(!goalEntryForm.Measurable_objective) {
					diagText += "The measurable objective (content standard) entry area could not be found on the form. ";  }
				if(!goalEntryForm.Goal_text) {
					diagText += "The goal entry area could not be found on the form. ";  }
				if(diagText.length > 0) {	// one or more entry areas could not be found
					alert("The selected goal cannot be used, because: "+diagText);
				} else {		// all three entry areas (area of need, meas. obj, and goal) exist --
				
					if(goalEntryForm.Area_of_need.value.length>0  &&  goalEntryForm.Area_of_need.value != elAreaNeedText) {
						diagText += "The area of need is different. ";  }
					if(goalEntryForm.Measurable_objective.value.length>0  &&  goalEntryForm.Measurable_objective.value.match(/^\t*[ ]*/)) {
						goalEntryForm.Measurable_objective.value = ""; }   // for some reason in Firefox, measurable obj. is getting tabs and spaces, even on new goal record
					if(goalEntryForm.Measurable_objective.value.length>0  &&  goalEntryForm.Measurable_objective.value != elMeasObjText) {
						diagText += "The measurable objective (content standard) is different. ";  }
					if(goalEntryForm.Goal_text.value.length>0  &&  !goalEntryForm.Goal_text.value.match(/^New goal for/)  &&  goalEntryForm.Goal_text.value != elGoalText) {
						diagText += "The goal is different. ";  }
						
					if(diagText.length > 0) {	// one or more entry areas had conflicting contents
						alert("The selected item cannot be used, because: "+diagText);
					} else {		// no conflicting items detected (here is where we actually perform the paste) --
					
						if(goalEntryForm.Area_of_need.value == elAreaNeedText &&  goalEntryForm.Measurable_objective.value == elMeasObjText && goalEntryForm.Goal_text.value == elGoalText) {
							alert("The selected item is already on this goal form.");
						} else {
						
							if(goalEntryForm.Area_of_need.value.length == 0) {
								goalEntryForm.Area_of_need.value = elAreaNeedText; }
							if(goalEntryForm.Measurable_objective.value.length == 0) {
								goalEntryForm.Measurable_objective.value = elMeasObjText; }
							if(goalEntryForm.Goal_text.value.length == 0  ||  goalEntryForm.Goal_text.value.match(/^New goal for/)) {
								goalEntryForm.Goal_text.value = elGoalText;  }
								
						}	// if(goalEntryForm.Area_of_need.value == elAreaNeedText &&  goalEntryForm.Measurable_objective.value == elMeasObjText && goalEntryForm.Goal_text.value = elGoalText)	
					}	// if(diagText.length > 0), one or more entry areas had conflicting contents (with proposed paste from palette)
				}	//  if(diagText.length > 0), one or more entry areas could not be found
			}	//  if(diagText.length = 0), no errors from above, continue with analysis
		}	// if(diagText.length > 0), one or more items in the palette element are incomplete
	} else {		// goalEntryForm is null --
		diagText = "Could not identify the goal entry form (cannot paste from palette into form).";
		diagText += "Click again on the Template link on the IEP form, goals entry page. ";
		diagText += "Then click again on the palette item. " ;
		alert(diagText);
	}	// if(goalEntryForm)
}	// function pasteInto_IEP(elBenchText, elGoalText, elMeasObjText, elAreaNeedText) {



function handleLink(e) { 
	var el; 
	if (window.event && window.event.srcElement) {
		el = window.event.srcElement; }
	if (e && e.target) {
    	el = e.target; }
	if (!el) {
		return; }	
	while (el.nodeName.toLowerCase() != 'li' &&  el.nodeName.toLowerCase() != 'body') {
		el = el.parentNode; }
	if (el.nodeName.toLowerCase() != 'li' )  {     // if we're still not in the right place, then do nothing
		return; }			
	if(el.id) {   // needs to have an ID  	
	var diagText;		
	if(el.id.match(/^L01/)) {
		diagText = "You clicked on an area of need. To select an item from the palette for an IEP form, ";
		diagText += "you will need to click on a goal (in burgundy text). ";
		 alert(diagText); 
	} else if (el.id.match(/^L02/)) {
		diagText = "You clicked on a category entry. To select an item from the palette for an IEP form, ";
		diagText += "you will need to click on a goal (in burgundy text). ";
		 alert(diagText); 
	} else if (el.id.match(/^L03/)) {
		diagText = "You clicked on a measurable objective. To select an item from the palette for an IEP form, ";
		diagText += "you will need to click on a goal (in burgundy text). ";
		 alert(diagText); 
	} else if (el.id.match(/^L04/)) {		
		if(!window.opener.document.AS_goalsEntry) {     // ensure that goal entry form is available
			diagText = "You clicked on a goal. However, the source IEP could not be determined. ";
			diagText += "Please go to the source IEP and click on the Palette button again, then return here, ";
			diagText += "and click again on the benchmark. ";
			alert(diagText);
		} else {	   //  if(!window.opener.document.AS_goalsEntry)			
			var OKdlg = confirm("Paste the goal and associated items into the IEP?");
			if(OKdlg == true) {				
										
				var elGoalNode = spanNodeGet(el, "goal");																	
				if(elGoalNode && elGoalNode.nodeValue.length>0) {
					var elGoalText = elGoalNode.nodeValue; 
					elGoalText = goalTextAdjust(elGoalText, "noPrefix");												
					// alert("Associated goal is: "+elGoalText);																								
												
					//  ********** measurable objective manipulations **********												
					var node_ID = /^L03p_/;
					el = parent_li_Get(el,node_ID);	// returns Level 3 node
					if (!el || el.nodeName.toLowerCase() != 'li' )  {     // if we're still not in the right place, then do nothing
						alert("Could not obtain associated meas. obj. node for this goal (no action taken)."); 
					} else { 
						var elMeasObjNode = spanNodeGet(el, "measurable objective");																	
						if(elMeasObjNode && elMeasObjNode.nodeValue.length>0) {
							var elMeasObjText = elMeasObjNode.nodeValue; 
							elMeasObjText = goalTextAdjust(elMeasObjText, "noPrefix");												
							// alert("Associated meas. objective is: "+elMeasObjText);
									
							//  ********** Level 2 manipulations (NOTE: don't need text, just getting reference to next level up) **********
							node_ID = /^L02p_/;
							el = parent_li_Get(el,node_ID);	// returns Level 2 node
							if (!el || el.nodeName.toLowerCase() != 'li' )  {     // if we're still not in the right place, then do nothing
								alert("Could not obtain associated Level 2 node for this goal (no action taken)."); 
							} else { 
							
								//  ********** area of need manipulations **********
								node_ID = /^L01p/;
								el = parent_li_Get(el,node_ID);
								if (!el || el.nodeName.toLowerCase() != 'li' )  {     // if we're still not in the right place, then do nothing
									alert("Could not obtain associated area of need node for this goal (no action taken)."); 
								} else { 
									var elAreaNeedNode = spanNodeGet(el, "area of need");																	
									if(elAreaNeedNode && elAreaNeedNode.nodeValue.length>0) {
										var elAreaNeedText = elAreaNeedNode.nodeValue; 
										elAreaNeedText = goalTextAdjust(elAreaNeedText, "noPrefix");												
										// alert("Associated area of need is: "+elAreaNeedText);
											
										//  NOTE - at this point, we have all three levels needed for pasting into IEP...
										// one less argument in the next line call, than on other palette -- 
									
										pasteInto_IEP(elGoalText, elMeasObjText, elAreaNeedText);
												
									} else {
										alert("Could not obtain associated area of need text (no action taken). ");
									}	// if(elAreaNeedNode && elAreaNeedNode.nodeValue.length>0)
								}	// if (!el || el.nodeName.toLowerCase() != 'li' )  									
								//  ********** end area of need manipulations **********
							}	// if (!el || el.nodeName.toLowerCase() != 'li' ) 
							//  ********** end Level 2 manipulations **********
						} else {
									alert("Could not obtain associated meas. objective text (no action taken). ");
						}	// if(elMeasObjNode && elMeasObjNode.nodeValue.length>0)					
					}	// if (!el || el.nodeName.toLowerCase() != 'li' )  
					//  ********** end measurable objective manipulations **********																																											
				} else {
					alert("Could not obtain goal text (no action taken). ");
				}	// (elGoalNode && elGoalNode.nodeValue.length>0)
			}   // (OKdlg==true), paste the benchmark
		}    // (!window.opener), the source window cannot be determined			
	}	
	else {
		alert("The click location could not be determined.");
	}    // else if (elParent.id.match(/^L05/))
  }	   //  if(el.id)
  
  
  
if (window.event) { 
	window.event.cancelBubble = true; 
	window.event.returnValue = false; 
	} 	 // (window.event)
	
	if (e && e.stopPropagation && e.preventDefault) { 
	e.stopPropagation(); 
	e.preventDefault(); 
	}   // (e && e.stopPropagation &&... 	
}    // function handleLink(e)



function addListeners() { 
  if (!document.getElementById) 
    return; 
  var all_listItems = document.getElementsByTagName('li'); 
  for (var i = 0; i < all_listItems.length; i++) { 
    addEvent(all_listItems[i], 'click', handleLink, false); 
  } 
} 

addEvent(window, 'load', addListeners, false); 
	  
	  
