//  javascript file: auxWindows.js
//
//  2.17.2009 by DJL
//  Displays pop-up windows for help documents on disk, and to zoom a field
//  7.6.2009 (Added toggle5, for show/hide a div area, used for alternate 
//    language text fields.)
//  9.5.2010 (Added browser compatibility check to newSvcAdd, newGoalAdd)
//  2.8.2011 (Moved display of goals/objectives palettes to this method. Removed
//    window names when displaying videos so IE8 could work (otherwise generates an error).
//    Also tried to get zoom function to work by removing window URL and name, but it
//    worked only intermittently, so disabled.


function toggle5(showHideDiv, switchImgTag) {
	var ele = document.getElementById(showHideDiv);
	var imageEle = document.getElementById(switchImgTag);
	if(ele.style.display == "block") {
			ele.style.display = "none";
	imageEle.innerHTML = '<img src="images/SortDown.jpg">';
	}
	else {
			ele.style.display = "block";
			imageEle.innerHTML = '<img src="images/SortUp.jpg">';
	}
}


function toggle6(showHideDiv, switchImgTag) {  // 1.1.2011 for home page help only
	var ele = document.getElementById(showHideDiv);
	var imageEle = document.getElementById(switchImgTag);
	if(ele.style.display == "block") {
			ele.style.display = "none";
	imageEle.innerHTML = '<img src="images/RightArrowWhite.jpg" width="18" height="18" border="none">';
	}
	else {
			ele.style.display = "block";
			imageEle.innerHTML = '<img src="images/DownArrowWhite.jpg" width="18" height="18" border="none">';
	}
}

function toggle7(showHideDiv, switchImgTag) {   //8.1.2011 for Forms Closet use
	var ele = document.getElementById(showHideDiv);
	var imageEle = document.getElementById(switchImgTag);
	if(ele.style.display == "block") {
			ele.style.display = "none";
	imageEle.innerHTML = '<img src="images/folder16x16closed.png">';
	}
	else {
			ele.style.display = "block";
			imageEle.innerHTML = '<img src="images/folder16x16.png">';
	}
}


// Add a service in a separate window, from an IEP form being displayed...

function newSvcAdd(web_sid, assmt_ID, pageName, svcCodePopID, agencyID) { 
	var browser=navigator.appName;	
	if (browser=="Microsoft Internet Explorer") {
		alert("This feature doesn't work with Internet Explorer.");
	} else {	
		var svcCodeValue = document.getElementById(svcCodePopID).value;
		var agencyValue = document.getElementById(agencyID).value;
		var svcPage = window.open("assessment?c=addSvcSepWin&sid="+web_sid+"&id="+assmt_ID+"&callingPage="+pageName+"&svcCodeValue="+svcCodeValue+"&agencyValue="+agencyValue,"Add a service to the IEP",
			"width=600,height=400,resizable=yes,status=yes,menubar=no,scrollbars=yes"); 
svcPage.focus(); 
	} // browser compatibility check
} 	


function newSvcSubmit(linkinstr) {
	var f = document.AS_DFL7_SSpop;
	f.linksubmit.value = linkinstr;
	f.submit();
	return false	
}


// Add a goal in a separate window, from an IEP form being displayed...

function newGoalAdd(web_sid, assmt_ID, goalType, pageName, parentGoalNbrID) { 
	var browser=navigator.appName;	
	if (browser=="Microsoft Internet Explorer") {
		alert("This feature doesn't work with Internet Explorer.");
	} else {		
		var goalPage = window.open("assessment?c=addGoalSepWin&sid="+web_sid+"&form_type="+goalType+"&id="+assmt_ID+"&callingPage="+pageName+"&srcGoalNbrID="+parentGoalNbrID,"Add a student goal to the IEP",
			"width=600,height=400,resizable=yes,status=yes,menubar=no,scrollbars=yes"); 
goalPage.focus(); 
	} // browser compatibility check
} 	


function newGoalSubmit(linkinstr, childGoalNbrID, prntGoalNbrID) {
	var editedText = document.getElementById(childGoalNbrID).value;  // this is the actual goal number entry, on the separate window goal form
	var parentGoalNbrID = document.getElementById(prntGoalNbrID).value; // this is the id of the "goal number" field on the parent form
	window.opener.augmentValueFromChild(editedText, parentGoalNbrID);  // to augment any existing text on the original, after a comma-space
	var f = document.AS_goalsEntry;
	f.linksubmit.value = linkinstr;
	f.submit();
	return false	
}



function incmplinksubmit(linkinstr) {
	var f = document.iepformpage;
	f.linksubmit.value=linkinstr;
	f.submit();
	return false
}


function incmplSTlnksbmt(linkinstr) {
	var f = document.STformpage;
	f.linksubmit.value=linkinstr;
	f.submit();
	return false
}


// 2.8.2011 removed 'page_help' as window title for IE 8 --

function showHlpPopup(url_location) { 
	var HP_helpWin = window.open(url_location, "", 
	"width=700,height=450,resizable=yes,status=yes,menubar=no,scrollbars=yes"); 
 HP_helpWin.focus(); 
}

// 2.8.2011 removed 'Create_navigate_IEP' as window title for IE 8 --

function showCrtNavIEP(web_sid) { 
	startElapsedTime();
	if($("ticker_ID")) { $("ticker_ID").value = 0; }
	var crtNavIEP = window.open("assessment?c=display_crtNavIEP&sid="+web_sid,"",
			"width=600,height=400,resizable=yes,status=yes,menubar=no,scrollbars=yes"); 
	crtNavIEP.focus(); 
} 	


// 2.8.2011 removed 'Video training' as window title for IE 8 --

function showTrngVideo(web_sid, videoName) { 
	startElapsedTime();
	if($("ticker_ID")) { $("ticker_ID").value = 0; }
	var crtNavIEP = window.open("assessment?c=dispVideo_"+videoName+"&sid="+web_sid,"",
			"width=600,height=400,resizable=yes,status=yes,menubar=no,scrollbars=yes"); 
	crtNavIEP.focus(); 
} 	


// Display a selection dlg with a list of links, built in web_processStudents, slctn of recs --
// (2.8.2011 removed winTitle from window.open call, IE8 doesn't like)

function STchoiceSel(web_sid, field_ID, fieldName, winTitle) { 
	startElapsedTime();
	if($("ticker_ID")) { $("ticker_ID").value = 0; }
	var choiceList = window.open("student?c=choiceSel_"+fieldName+"&sid="+web_sid+"&field_ID="+field_ID, "",
			"width=300,height=400,resizable=yes,status=no,menubar=no,scrollbars=yes"); 
	choiceList.focus(); 
} 	


// Display a selection dlg with a list of links, built in web_processAssessments, slctn of recs
// (2.8.2011 removed winTitle from window.open call, IE8 doesn't like)

function ASchoiceSel(web_sid, field_ID, fieldName, winTitle) { 
	startElapsedTime();
	if($("ticker_ID")) { $("ticker_ID").value = 0; }
	var choiceList = window.open("assessment?c=choiceSel_"+fieldName+"&sid="+web_sid+"&field_ID="+field_ID+"&title="+winTitle, "",
			"width=300,height=400,resizable=yes,status=no,menubar=no,scrollbars=yes"); 
	choiceList.focus(); 
} 	


// (2.8.2011 removed winTitle from window.open call, IE8 doesn't like)

function STchoiceSel(web_sid, field_ID, fieldName, winTitle) { 
	startElapsedTime();
	if($("ticker_ID")) { $("ticker_ID").value = 0; }
	var choiceList = window.open("student?c=choiceSel_"+fieldName+"&sid="+web_sid+"&field_ID="+field_ID, "",
			"width=300,height=400,resizable=yes,status=no,menubar=no,scrollbars=yes"); 
	choiceList.focus(); 
} 


// These do the same thing, but allow for pasting two fields 
// (2.8.2011 removed winTitle from window.open call, IE8 doesn't like) --

function ASchoiceSel2(web_sid, field_ID, field_ID2, fieldName, winTitle) {
	startElapsedTime();
	if($("ticker_ID")) { $("ticker_ID").value = 0; }
	var choiceList = window.open("assessment?c=choiceSel_"+fieldName+"&sid="+web_sid+"&field_ID="+field_ID+"&field_ID2="+field_ID2, "",
			"width=300,height=400,resizable=yes,status=no,menubar=no,scrollbars=yes"); 
	choiceList.focus(); 
} 	


// (2.8.2011 removed winTitle from window.open call, IE8 doesn't like)

function STchoiceSel2(web_sid, field_ID, field_ID2, fieldName, winTitle) { 
	startElapsedTime();
	if($("ticker_ID")) { $("ticker_ID").value = 0; }
	var choiceList = window.open("student?c=choiceSel_"+fieldName+"&sid="+web_sid+"&field_ID="+field_ID+"&field_ID2="+field_ID2, "",
			"width=300,height=400,resizable=yes,status=no,menubar=no,scrollbars=yes"); 
	choiceList.focus(); 
} 	


// Select both teacher and school (paste to 3 fields) 
// (2.8.2011 removed window title from window.open call, IE8 doesn't like)

function ASGNchoiceSel(web_sid, field_ID, field_ID2, field_ID3, table, fieldName) {
	startElapsedTime();
	if($("ticker_ID")) { $("ticker_ID").value = 0; }
	var choiceList = window.open(table+"?c=choiceSel_"+fieldName+"&sid="+web_sid+"&field_ID="+field_ID+"&field_ID2="+field_ID2+"&field_ID3="+field_ID3, "", 
			"width=430,height=400,resizable=yes,status=no,menubar=no,scrollbars=yes"); 
	choiceList.focus(); 
} 	


// Return the selected teacher link to calling student/service window --

function TCpasteBack(parentFieldID, selectedValue) {
        window.opener.GetValueFromChild(selectedValue, parentFieldID);
        window.close();
        return false;
}


// for a text field where text should be added at the end of existing text --

function UTIL_pasteBackMulti(parentFieldID, selectedValue) {  
	window.opener.AddValueFromChild(selectedValue, parentFieldID);
    window.close();
    return false;	
}

// Return the selected assignment link to calling IEP service window --

function ASGNpasteBack(parentFieldID, selectedValue, parentFieldID2, selectedValue2, parentFieldID3, selectedValue3) {
        window.opener.GetValueFromChild(selectedValue, parentFieldID);
		window.opener.GetValueFromChild(selectedValue2, parentFieldID2);
		window.opener.GetValueFromChild(selectedValue3, parentFieldID3);
        window.close();
        return false;
}



// Return the selected item as **two** fields, to the calling window --

function UTILpasteBack2(parentFieldID, selectedValue, parentFieldID2, selectedValue2) {
        window.opener.GetValueFromChild(selectedValue, parentFieldID);
		window.opener.GetValueFromChild(selectedValue2, parentFieldID2);
        window.close();
        return false;
}


function showUploadDlg(assessment_ID, web_sid) { 
	var uploadWin = window.open("assessment?c=display_upload_dlg&id="+assessment_ID+"&sid="+web_sid, "AS_upload_window",
			"width=475,height=300,resizable=yes,status=yes,menubar=no,scrollbars=yes"); 
}



// this one is called from the parent window by the child --

function GetValueFromChild(editedText, parentFieldID) {
	document.getElementById(parentFieldID).value = editedText;
}


// for a text field where text should be added at the end of existing text --

function AddValueFromChild(editedText, parentFieldID) {
	var existingText = document.getElementById(parentFieldID).value
	if(existingText) {
		document.getElementById(parentFieldID).value += '\r\r' + editedText;
	} else {
		document.getElementById(parentFieldID).value = editedText;
	}
}


function augmentValueFromChild(editedText, parentFieldID) {
        var origText = document.getElementById(parentFieldID).value;
		if(origText.length>0) {editedText = origText + ", " + editedText;}
		document.getElementById(parentFieldID).value = editedText;
}


// this one is called from the popup (child), by pressing paste button --

 function SendValueToParent(childFieldID, parentFieldID) {
        var editedText = document.getElementById(childFieldID).value;
        window.opener.GetValueFromChild(editedText, parentFieldID);
        window.close();
        return false;
}



function editFieldPopup(sourceFieldID, fieldLabel) { 
	var browser=navigator.appName;	
	if (browser=="Microsoft Internet Explorer") {
		alert("The zoom window feature doesn't work with Internet Explorer.");
	} else {
		var features = "width=700,height=475,resizable=yes,status=no,menubar=no,scrollbars=yes"
		var fieldText = document.getElementById(sourceFieldID).value;	
		var edit_win = window.open("", "", features); 
		edit_win.document.open();
		edit_win.document.write('<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">\n');
		edit_win.document.write('<html lang="en"><head><title>Edit field contents</title>\n');
		edit_win.document.write('<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">\n')
		// note setTimeout delay, anon function, and separation of 'script' tags into concatenated fragments --
		window.setTimeout(function () {
			edit_win.document.write('<scri'+'pt language="javascript" type="text/javascript" src="/scripts/auxWindows.js"></scr'+'ipt>\n');
		}, 10);
		
		edit_win.document.write('<link href="../css/styles_20070509.css" rel="stylesheet" type="text/css"></head>\n');
		
		// note setTimeout delay, anon function, and writing the rest of the dialog (body) --
		window.setTimeout(function () {
			edit_win.document.write('<body><form method="post" id="zoomForm"><table border="0" width="100%" cellspacing="0" cellpadding="0">\n');
			edit_win.document.write('<tr><td class="title">Edit: '+fieldLabel+'</td></tr>\n');
			edit_win.document.write('<tr><td><hr noshade size="2" color="#000066"></td></tr>\n');
			edit_win.document.write('<tr><td class="fieldpalegrn">&nbsp;</td></tr>\n');
			edit_win.document.write('<tr><td><table border="0" width="100%" cellspacing="0" cellpadding="0">\n');
			edit_win.document.write('<tr><td colspan="3" class="fieldpalegrn">&nbsp;</td></tr>\n');
			edit_win.document.write('<tr><td width="5%" class="fieldpalegrn">&nbsp;</td>\n');
			edit_win.document.write('<td width="90%" class="fieldpalegrn"><textarea rows=20 cols=80 name="zoom_field" id="zoom_field">'+fieldText+'</textarea></td>\n');
			edit_win.document.write('<td width="5%" class="fieldpalegrn">&nbsp;</td></tr>\n');
			edit_win.document.write('<tr><td colspan="3" class="fieldpalegrn">&nbsp;</td></tr>\n');
			edit_win.document.write('<tr><td class="fieldpalegrn">&nbsp;</td>\n');
			edit_win.document.write('<td class="buttonsrightpalegrn">\n');
			edit_win.document.write('<input type="button" value="Paste revisions back into the IEP" onclick="SendValueToParent(\'zoom_field\', \''+sourceFieldID+'\')">\n');
			edit_win.document.write('&nbsp;&nbsp;<input type="button" value="Cancel" onclick="window.close()"></td>\n');
			edit_win.document.write('<td class="fieldpalegrn">&nbsp;</td></tr>\n');
			edit_win.document.write('</table></td></tr>\n');
			edit_win.document.write('<tr><td class="fieldpalegrn">&nbsp;</td></tr>\n');
			edit_win.document.write('</table></form></body></html>\n');
			edit_win.document.close();
		}, 300);
		edit_win.focus();	
	}  // browser detection
}  // end of editFieldPopup function




function transFieldPopup(sourceFieldID, transFieldID, fieldLabel, transLang) {
	var browser=navigator.appName;	
	if (browser=="Microsoft Internet Explorer") {
		// alert("Unfortunately, this feature doesn't seem to work with Internet Explorer.");
		var edit_win = window.open("http://translate.google.com/#en|"+transLang, "");
	} else {
		var features = "width=700,height=480,resizable=yes,status=no,menubar=no,scrollbars=yes"
		var fieldText = document.getElementById(sourceFieldID).value;	
		var edit_win = window.open("", "", features); 
		var textToTranslate = document.getElementById(transFieldID).value;
		edit_win.document.open();
		edit_win.document.write('<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">\n');
		edit_win.document.write('<html lang="en"><head><title>Edit-translate field contents</title>\n');
		edit_win.document.write('<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">\n')
		
		// note setTimeout delay, anon function, and separation of 'script' tags into concatenated fragments --
		window.setTimeout(function () {
			edit_win.document.write('<scri'+'pt language="javascript" type="text/javascript" src="/scripts/auxWindows.js"></scr'+'ipt>\n');
			
		}, 50);
		
		window.setTimeout(function () {
			edit_win.document.write('<scri'+'pt>function googleTranslateElementInit() {new google.translate.TranslateElement({pageLanguage: "en",includedLanguages: "'+transLang+'"}, "google_translate_element");}</scr'+'ipt>\n');
		}, 100);
		
		window.setTimeout(function () {
			edit_win.document.write('<scr'+'ipt src="http://translate.google.com/translate_a/element.js?cb=googleTranslateElementInit"></sc'+'ript>\n');
		}, 100);
		
		edit_win.document.write('<link href="../css/styles_20070509.css" rel="stylesheet" type="text/css"></head>\n');
		
		// note setTimeout delay, anon function, and writing the rest of the dialog (body) --
		window.setTimeout(function () {
			edit_win.document.write('<body><form method="post" id="zoomForm"><table border="0" width="100%" cellspacing="0" cellpadding="0">\n');
			edit_win.document.write('<tr><td class="title">Edit: '+fieldLabel+'</td></tr>\n');
			edit_win.document.write('<tr><td><hr noshade size="2" color="#000066"></td></tr>\n');
			edit_win.document.write('<tr><td class="fieldplum">&nbsp;</td></tr>\n');
			edit_win.document.write('<tr><td><table border="0" width="100%" cellspacing="0" cellpadding="0">\n');
			edit_win.document.write('<tr><td colspan="3" class="fieldplum">&nbsp;</td></tr>\n');		
			edit_win.document.write('<tr><td width="5%" class="fieldplum">&nbsp;</td>\n');
			edit_win.document.write('<td width="90%" class="fieldtitleplum">Source text:</td>\n');
			edit_win.document.write('<td width="5%" class="fieldplum">&nbsp;</td></tr>\n');
			edit_win.document.write('<tr><td colspan="3" class="fieldplum">&nbsp;</td></tr>\n');
			edit_win.document.write('<tr><td class="fieldplum">&nbsp;</td>\n');
			edit_win.document.write('<td class="fieldplum"><hr noshade size="1" color="#000066"></td>\n');
			edit_win.document.write('<td class="fieldplum">&nbsp;</td></tr>\n');
			edit_win.document.write('<tr><td class="fieldplum">&nbsp;</td>\n');
			edit_win.document.write('<td class="fieldplum">'+textToTranslate+'</td>\n');
			edit_win.document.write('<td class="fieldplum">&nbsp;</td></tr>\n');
			edit_win.document.write('<tr><td class="fieldplum">&nbsp;</td>\n');
			edit_win.document.write('<td class="fieldplum"><hr noshade size="1" color="#000066"></td>\n');
			edit_win.document.write('<td class="fieldplum">&nbsp;</td></tr>\n');
			edit_win.document.write('<tr><td colspan="3" class="fieldplum">&nbsp;</td></tr>\n');
			edit_win.document.write('<tr><td class="fieldplum">&nbsp;</td>\n');
			edit_win.document.write('<td class="fieldplum"><div id="google_translate_element"></div></td>\n');
			edit_win.document.write('<td class="fieldplum">&nbsp;</td></tr>\n');
			edit_win.document.write('<tr><td colspan="3" class="fieldplum">&nbsp;</td></tr>\n');
			edit_win.document.write('<tr><td class="fieldplum">&nbsp;</td>\n');
			edit_win.document.write('<td class="fieldplum"><textarea rows=10 cols=80 name="zoom_field" id="zoom_field">'+fieldText+'</textarea></td>\n');
			edit_win.document.write('<td class="fieldplum">&nbsp;</td></tr>\n');
			edit_win.document.write('<tr><td colspan="3" class="fieldplum">&nbsp;</td></tr>\n');
			edit_win.document.write('<tr><td class="fieldplum">&nbsp;</td>\n');
			edit_win.document.write('<td class="buttonsrightplum">\n');		
			edit_win.document.write('<a href="http://translate.google.com" onClick="window.open(\'http://translate.google.com/#en|'+transLang+'\');return false;"><font style="background-color:#E4CADA">Open Google Translate site</font></a>\n');		
			edit_win.document.write('&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" value="Paste revisions back into the IEP" onclick="SendValueToParent(\'zoom_field\', \''+sourceFieldID+'\')">\n');
			edit_win.document.write('&nbsp;&nbsp;<input type="button" value="Cancel" onclick="window.close()"></td>\n');
			edit_win.document.write('<td class="fieldplum">&nbsp;</td></tr>\n');
			edit_win.document.write('</table></td></tr>\n');
			edit_win.document.write('<tr><td class="fieldplum">&nbsp;</td></tr>\n');
			edit_win.document.write('</table></form></body></html>\n');
			edit_win.document.close();
		}, 300);
		edit_win.focus();
	} // test for browser compatability
}  // end of transFieldPopup function



function showGOpopup() { 
	var oAreaNeedSelect = document.getElementById("select_areaofneed");
	var oIndex = oAreaNeedSelect.selectedIndex;
	var oAreaNeedText = oAreaNeedSelect.options[oIndex].text;
	var oAreaNeedID = oAreaNeedSelect.options[oIndex].value;
	var rec_ID = document.getElementsByName('id')[0].value;
	var SID_nbr = document.getElementById("web_SID").value;
	if (oAreaNeedText != "[Area of need]") {  
		var GO_win = window.open("assessment?c=display_GO_palette&id="+rec_ID+"&sid="+SID_nbr+"&areaNeedID="+oAreaNeedID, "",
		"width=400,height=300,resizable=yes,status=yes,menubar=no,scrollbars=yes"); 
	} else { 
		var GO_win = window.open("assessment?c=display_GO_palette&id"+rec_ID+"&sid="+SID_nbr, "",
		"width=400,height=300,resizable=yes,status=yes,menubar=no,scrollbars=yes"); 
	}  
	GO_win.focus();
} 	
			
function showGO2popup() { 
	var oAreaNeedSelect = document.getElementById("select_areaofneed");
	var oIndex = oAreaNeedSelect.selectedIndex;
	var oAreaNeedText = oAreaNeedSelect.options[oIndex].text;
	var oAreaNeedID = oAreaNeedSelect.options[oIndex].value;
	var rec_ID = document.getElementsByName('id')[0].value;
	var SID_nbr = document.getElementById("web_SID").value;
	if (oAreaNeedText != "[Area of need]") {  
		var GO2_win = window.open("assessment?c=display_GO2_palette&id="+rec_ID+"&sid="+SID_nbr+"&areaNeedID="+oAreaNeedID, "",
		"width=400,height=300,resizable=yes,status=yes,menubar=no,scrollbars=yes");
	} else {  
		var GO2_win = window.open("assessment?c=display_GO2_palette&id="+rec_ID+"&sid="+SID_nbr, "",
		"width=400,height=300,resizable=yes,status=yes,menubar=no,scrollbars=yes");
	} 
	GO2_win.focus(); 
}  



