// items structure
// each item is the array of one or more properties:
// [text, link, settings, subitems ...]
// use the builder to export errors free structure if you experience problems with the syntax

var MENU_ITEMS = [
	['Print reports', null, null,
		['Students', null, null,
			['Caseload', null, null,
				['Abbreviated', 'javascript:HPlinksubmit(\'HP_prt_CSLabbrv\')', {'tt':'Print a landscape report, one line per student service. You must provide services to students as of today, or no students will be found.'}],
				['By teacher', 'javascript:HPlinksubmit(\'HP_prt_classLst\')', {'tt':'This is the student by teacher report. Prints a landscape report, with one four-line, horizontal block per student. You must provide services to students as of today, or no students will be found'}],
				['By tchr w/stdnt nbr', 'javascript:HPlinksubmit(\'HP_prt_clsLstStdNb\')', {'tt':'Similar to the student by teacher report (above), but prints the student ID rather than the record number. You must provide services to students as of today, or no students will be found'}],
				['Students listed*', 'javascript:HPlinksubmit(\'HP_prt_stdLst\')', {'tt':'Print a landscape report, one line per student service. *You must have students listed below (on this page).'}]
				 // there must be no comma after the last element
			],
			['DRDP blank forms', null, {'tt':'Prints blank forms only. To edit/print DRDPs, select a student (radio button), and click the DRDP button.'},
				['2010 infant', 'javascript:HPlinksubmit(\'HP_prt_drdpInfBlk\')'],
				['2010 preschool', 'javascript:HPlinksubmit(\'HP_prt_drdpPSblk\')'],
				['2010 school age', 'javascript:HPlinksubmit(\'HP_prt_drdpSAblk\')'],
				['DRDP-access', 'javascript:HPlinksubmit(\'HP_prt_drdpAblk\')'],
				['PS DRDP-R', 'javascript:HPlinksubmit(\'HP_prt_PSdrdpblk\')']
			],
			['Enrollment', null, null,
				['By disab/dist res*', 'javascript:HPlinksubmit(\'HP_prt_enrDsbDstRes\')', {'tt':'Print an enrollment summary by disability report, landscape format. Each row represents one district of residence, and each column represents a disability. The intersection (cell) is the count of the disability type for the district. You must have students listed below (on this page).'}],
				['By disab/dist svc*', 'javascript:HPlinksubmit(\'HP_prt_enrDsbDstSvc\')', {'tt':'Print an enrollment summary by disability report, landscape format. Each row represents one district of service, and each column represents a disability. The intersection (cell) is the count of the disability type for the district. *You must have students listed below (on this page).'}]
			],
			['Error check', null, null,
				['Errors*', 'javascript:HPlinksubmit(\'HP_prt_StErrs\')', {'tt':'Print a portrait report, listing errors for each student record. (The administrator determines which items in the student record constitute errors.) *You must have students listed below (on this page).'}],
				['Warnings*', 'javascript:HPlinksubmit(\'HP_prt_StWngs\')', {'tt':'Print a portrait report, listing warnings for each student record. (The administrator determines which items in the student record constitute warnings. Warnings do not prevent a student record from being saved.) *You must have students listed below (on this page).'}],
				['Errors and warnings*', 'javascript:HPlinksubmit(\'HP_prt_StErrsWngs\')', {'tt':'Print a portrait report, showing errors and warnings for each student record. (The administrator determines which items in the student record constitute errors and warnings.) *You must have students listed below (on this page).'}]
			],
			['IEP placement worksheet*', 'javascript:HPlinksubmit(\'HP_prt_plcmtWksht\')', {'tt':'Prints a portrait-format placement worksheet for each of the listed students, showing current services (excluding ESY). Includes some blank lines intended for the user to complete. *You must have students listed below (on this page).'}],
			['Registers', null, null,
				['MediCal', null, null,
					['Blank', 'javascript:HPlinksubmit(\'HP_prt_regMedblk\')', {'tt':'Print a blank MediCal register, landscape format, beginning at the current week. To start on another week, enter a date from that week in the student search box, below.'}],
					['Completed', 'javascript:HPlinksubmit(\'HP_prt_regMed\')', {'tt':'Print a MediCal register, landscape format, sorted by class code, service, and student name. Contains actual minutes of service. Begins at the current week. (To start on another week, enter a date from that week in the student search box, below.) Excludes holidays for each teacher assignment. You must have provided services over the period of the register.'}],
					['Name sort', 'javascript:HPlinksubmit(\'HP_prt_regMedNme\')', {'tt':'Print a MediCal register, landscape format, sorted by student name. Contains actual minutes of service. Begins at the current week. (To start on another week, enter a date from that week in the student search box, below.) Excludes holidays for each teacher assignment. You must have provided services over the period of the register.'}],
					['Name sort-ADA age', 'javascript:HPlinksubmit(\'HP_prt_regMedADA\')', {'tt':'Print a MediCal register, landscape format, separated into ADA age groups. Sorted within age groups by student name. Contains actual minutes of service. Begins at the current week. (To start on another week, enter a date from that week in the student search box, below.) Excludes holidays for each teacher assignment. You must have provided services over the period of the register.'}],
					['Primary svcs only', 'javascript:HPlinksubmit(\'HP_prt_regMedPmy\')', {'tt':'Print a MediCal register for primary student services only, landscape format, sorted by class code, service, and student name. Contains actual minutes of service. Begins at the current week. (To start on another week, enter a date from that week in the student search box, below.) Excludes holidays for each teacher assignment. You must have provided primary services over the period of the register.'}]
					],
				['Standard', null, null,
					['Blank', 'javascript:HPlinksubmit(\'HP_prt_regStdBlk\')', {'tt':'Print a blank, standard register, landscape format, beginning at the current week. To start on another week, enter a date from that week in the student search box, below.'}],
				 	['Completed', 'javascript:HPlinksubmit(\'HP_prt_regStd\')', {'tt':'Print a standard register, landscape format, sorted by class code, service, and student name. Contains actual minutes of service. Begins at the current week. (To start on another week, enter a date from that week in the student search box, below.) Excludes holidays for each teacher assignment. You must have provided services over the period of the register.'}],
					['Primary only', 'javascript:HPlinksubmit(\'HP_prt_regStdPmy\')', {'tt':'Print a standard register for primary student services only, landscape format, sorted by class code, service, and student name. Contains actual minutes of service. Begins at the current week. (To start on another week, enter a date from that week in the student search box, below.) Excludes holidays for each teacher assignment. You must have provided primary services over the period of the register.'}]					
					],
				['Custom build...', 'javascript:HPlinksubmit(\'HP_prt_regStdOpts\')', {'tt':'Display a selection dialog, allowing you to select the type of register (MediCal, standard, or SDC), date range, sort order, primary or non-primary services, excluded dates and vacations.'}]
			],
			['Students by school type*', 'javascript:HPlinksubmit(\'HP_prt_stdSchType\')', {'tt':'Print a landscape report, one student per row, separated into groups by the type of the school of enrollment (as listed in the student record). A pie chart at the end of the report displays the relative number of students in each school type. *You must have students listed below (on this page).'}, null],
			['Timeline reports', null, null, 
				['3rd BD-detail*', 'javascript:HPlinksubmit(\'HP_prt_3bdDtl\')', {'tt':'Prints a landscape report in CASEMIS format, for students whose initial IEP has occurred after their third birthday, in the current academic year. (To use a different academic year, enter a date in that year, in the student search box, below.) Excludes students with no birthday entered, and students whose parents gave consent within 60 days before the third birthday. For the number of days elapsed after the third birthday, the routine uses the closest of initial evaluation, last IEP, or entry date. *You must have students listed below (on this page).'}],
				['3rd BD-summary*', 'javascript:HPlinksubmit(\'HP_prt_3bdsmy\')', {'tt':'Prints a portrait report in CASEMIS format, for students whose initial IEP has occurred after their third birthday, in the current academic year. (To use a different academic year, enter a date in that year, in the student search box, below.) Each row represents a district of attendance for the listed student(s), while the columns represent the count of total students, total referrals from Part C, and the delay reasons. Excludes students with no birthday entered, and students whose parents gave consent within 60 days before the third birthday. For the number of days elapsed after the third birthday, the routine uses the closest of initial evaluation, last IEP, or entry date. *You must have students listed below (on this page).'}],
				['60-d detail-exceed*', 'javascript:HPlinksubmit(\'HP_prt_60dtlEx\')', {'tt':'Prints a landscape report in CASEMIS format, for students whose initial evaluation is more than 60 days beyond the parent consent date. Each row represents one student; the columns include the parent consent date, the initial evaluation date, the days elapsed, and the various delay reasons. Omits students with blank consent or initial evaluation dates. The count skips district and track vacations/holidays of more than 5 days. (The district is determined from the student school of enrollment.) To use a different number of days for evaluating exceedence, enter the number into the student search box. *You must have students listed below (on this page).'}],
				['60-d detail-within*', 'javascript:HPlinksubmit(\'HP_prt_60dtlWi\')', {'tt':'Prints a landscape report in CASEMIS format, for students whose initial evaluation is 60 days or less from the parent consent date. Each row represents one student; the columns include the parent consent date, the initial evaluation date, the days elapsed, and the various delay reasons. Omits students with blank consent or initial evaluation dates. The count skips district and track vacations/holidays of more than 5 days. (The district is determined from the student school of enrollment.) To use a different number of days for evaluating compliance, enter the number into the student search box. *You must have students listed below (on this page).'}],
				['60-d summary-exceed*', 'javascript:HPlinksubmit(\'HP_prt_60smyEx\')', {'tt':'Prints a portrait report in CASEMIS format, for students whose initial evaluation is more than 60 days from the parent consent date. Each row represents a district of attendance for the listed student(s), while the columns represent the count of total students, and the count of students having certain delay reasons. Omits students with blank consent or initial evaluation dates, or cases where the initial evaluation precedes the consent date. The count skips district and track vacations/holidays of more than 5 days; the district is determined from the student school of enrollment. To use a different number of days for evaluating exceedence, enter the number into the student search box. *You must have students listed below (on this page).'}],
				['60-d summary-within*', 'javascript:HPlinksubmit(\'HP_prt_60smyWi\')', {'tt':'Prints a portrait report in CASEMIS format, for students whose initial evaluation is within 60 days from the parent consent date. Each row represents a district of attendance for the listed student(s), while the columns represent the count of total students, and the count of students having certain delay reasons (they will be empty for the compliance case). Omits students with blank consent or initial evaluation dates, or cases where the initial evaluation precedes the consent date. The count skips district and track vacations/holidays of more than 5 days; the district is determined from the student school of enrollment. To use a different number of days for evaluating compliance, enter the number into the student search box. *You must have students listed below (on this page).'}],
				['Overdue-either', 'javascript:HPlinksubmit(\'HP_prt_ovdueEthr\')',  {'tt':'Print a landscape report, one line per student service, for students that are overdue for either an evaluation (more than three years from the last evaluation) or an IEP (more than one year from the last IEP). The evaluation date is the current date; to evaluate overdue status on some other day, enter the date in the student search box, below.'}]
			]
		],
		['IEPs', null, null,
			['Blank forms', 'javascript:HPlinksubmit(\'HP_prt_IEPblks\')', {'tt':'Print blank pages for an entire IEP. The form set to be printed will depend upon the form set that the administrator has selected for creating new IEPs on the web.'}],
			['Goal progress*', 'javascript:HPlinksubmit(\'HP_prt_glSmry\')', {'tt':'Print a portrait-format report containing goal progress evaluations for a selected IEP. (*You select an IEP by clicking on the radio button for a row in the green list, below.) Prints only for IEPs of form types DFL6 or DFL7 that contain one or more goals.'}],
			['IEP status report*', 'javascript:HPlinksubmit(\'HP_prt_IEPstatus\')', {'tt':'Prints a portrait-format report showing the current status of listed IEPs. For IEPs using form types DFL6 and DFL7, the report also displays incomplete items, if any. (The administrator configures incomplete items as a function of the student plan type and, in some cases, the IEP meeting type.) *You must have IEPs listed below (on this page).'}]
		]
	],
	['Forms closet', 'javascript:showFormsCloset()', {'tt':'Opens a separate window containing other forms, which you can complete, save on disk, and then attach to IEPs.'}, null],
	['Help', 'javascript:showHmePgHlp()', {'tt':'Opens a separate window containing video and written information on how to use the program.'}, null],
	['Other', null, null,
		['Change password', 'javascript:HPlinksubmit(\'HPpasswd\')', {'tt':'Allows you to change your password for the next time that you log in. Affects all users who may log in with the same name.'}, null],
		['Preferences', 'javascript:HPlinksubmit(\'HPprefsModify\')', {'tt':'Select among default search, sort, and other display options, for the upper (Student) and lower (IEP) sections of the home page. You can also specify whether or not the My Current Stats section should be open initially. You can enter default participant names and an IEP location; these defaults can then be pasted into an IEP that contains a notice of meeting form (certain IEP form types only).'}, null],
		['Who is here', 'javascript:HPwhoIsHere()', {'tt':'Information on who is currently connected to the server.'}, null]
	],
	['Log out', 'javascript:HPlinksubmit(\'logout\')', {'tt':'Disconnect from the program. You should always do this, rather than simply closing the browser window.'}, null]	
];

